package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtMonthScore;

/**
 * 月度统计表Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
public interface GxtMonthScoreMapper 
{
    /**
     * 查询月度统计表
     * 
     * @param id 月度统计表主键
     * @return 月度统计表
     */
    public GxtMonthScore selectGxtMonthScoreById(Long id);

    /**
     * 查询月度统计表列表
     * 
     * @param gxtMonthScore 月度统计表
     * @return 月度统计表集合
     */
    public List<GxtMonthScore> selectGxtMonthScoreList(GxtMonthScore gxtMonthScore);

    public List<GxtMonthScore> selectGxtMonthScoreListByStatus(GxtMonthScore gxtMonthScore);

    /**
     * 新增月度统计表
     * 
     * @param gxtMonthScore 月度统计表
     * @return 结果
     */
    public int insertGxtMonthScore(GxtMonthScore gxtMonthScore);

    /**
     * 修改月度统计表
     * 
     * @param gxtMonthScore 月度统计表
     * @return 结果
     */
    public int updateGxtMonthScore(GxtMonthScore gxtMonthScore);

    /**
     * 删除月度统计表
     * 
     * @param id 月度统计表主键
     * @return 结果
     */
    public int deleteGxtMonthScoreById(Long id);

    /**
     * 批量删除月度统计表
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtMonthScoreByIds(Long[] ids);
}